## jxtray.diag
Class DiElement

    java.lang.Object
      java.awt.geom.RectangularShape
          java.awt.geom.Rectangle2D
              java.awt.Rectangle
                  jxtray.diag.DiElement

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, java.awt.Shape

Direct Known Subclasses:
  DiTable

public class DiElement
extends java.awt.Rectangle

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.geom.Rectangle2D
`java.awt.geom.Rectangle2D.Double, java.awt.geom.Rectangle2D.Float`

Field Summary
`protected java.awt.Font` `font`
`protected java.awt.Graphics2D` `g2`
`protected java.awt.GradientPaint` `painter`
`protected double` `zoom`

Fields inherited from class java.awt.Rectangle
`height, width, x, y`

Fields inherited from class java.awt.geom.Rectangle2D
`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

Constructor Summary
`DiElement()`

Method Summary
`double` `getZoom()`
`void` `move(int x, int y)`
`void` `setZoom(double d)`

Methods inherited from class java.awt.Rectangle
`add, add, add, contains, contains, contains, contains, createIntersection, createUnion, equals, getBounds, getBounds2D, getHeight, getLocation, getSize, getWidth, getX, getY, grow, inside, intersection, intersects, isEmpty, outcode, reshape, resize, setBounds, setBounds, setLocation, setLocation, setRect, setSize, setSize, toString, translate, union`

Methods inherited from class java.awt.geom.Rectangle2D
`add, add, add, contains, contains, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, setRect, union`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.Shape
`contains, contains, contains, contains, getPathIterator, getPathIterator, intersects, intersects`

Field Detail

### zoom

    protected double zoom

### font

    protected java.awt.Font font

### painter

    protected java.awt.GradientPaint painter

### g2

    protected java.awt.Graphics2D g2

Constructor Detail

### DiElement

    public DiElement()

Method Detail

### getZoom

    public double getZoom()

  Returns:
    double

### setZoom

    public void setZoom(double d)

  Parameters:
    `d` -

### move

    public void move(int x,
                     int y)